Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 15 Dec 2021 16:48:01 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Order Number : 9515349205
I received SMS and email stating that I can collect delivery at Al Qusais Store. I went to collect , the staff there behaved badly with me. I lodged a complain by calling 800775274. They said the store in charge will call me . Until now no one called. I inquired about the status of my complain twice since the first complain on 28/11/2021. No response. I wonder what to do ? If your company don't have a grievance  policy, please inform me. I will just collect the item and quit. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3563941